# Uses of Enum Class
org.bukkit.boss.BarFlag

Packages that use BarFlag
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.boss
Classes concerning the creation of boss bars that appear at the top of the player's screen.

## Uses of BarFlag in org.bukkit

Methods in org.bukkit with parameters of type BarFlag
Modifier and Type
Method
Description
`static @NotNull KeyedBossBar`
Bukkit.`createBossBar(@NotNull NamespacedKey key, @Nullable String title, @NotNull BarColor color, @NotNull BarStyle style, @NotNull BarFlag... flags)`
Creates a boss bar instance to display to players.
`static @NotNull BossBar`
Bukkit.`createBossBar(@Nullable String title, @NotNull BarColor color, @NotNull BarStyle style, @NotNull BarFlag... flags)`
Creates a boss bar instance to display to players.
`@NotNull KeyedBossBar`
Server.`createBossBar(@NotNull NamespacedKey key, @Nullable String title, @NotNull BarColor color, @NotNull BarStyle style, @NotNull BarFlag... flags)`
Creates a boss bar instance to display to players.
`@NotNull BossBar`
Server.`createBossBar(@Nullable String title, @NotNull BarColor color, @NotNull BarStyle style, @NotNull BarFlag... flags)`
Creates a boss bar instance to display to players.

## Uses of BarFlag in org.bukkit.boss

Methods in org.bukkit.boss that return BarFlag
Modifier and Type
Method
Description
`static BarFlag`
BarFlag.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BarFlag[]`
BarFlag.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.boss with parameters of type BarFlag
Modifier and Type
Method
Description
`void`
BossBar.`addFlag(@NotNull BarFlag flag)`
Add an optional flag to this boss bar
`boolean`
BossBar.`hasFlag(@NotNull BarFlag flag)`
Returns whether this boss bar as the passed flag set
`void`
BossBar.`removeFlag(@NotNull BarFlag flag)`
Remove an existing flag on this boss bar